Package org.silverpeas.mobile.shared.dto

## Class HomePageDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.BaseDTO
  - - org.silverpeas.mobile.shared.dto.HomePageDTO

- All Implemented Interfaces:
    `Serializable`

      public class HomePageDTO
      extends BaseDTO
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NEWS_DISPLAYER_CARROUSEL` |
    `static String` | `NEWS_DISPLAYER_LIST` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HomePageDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<MyLinkDTO>` | `getFavorites()` |
    `String` | `getHtmlFreeZone()` |
    `String` | `getHtmlFreeZoneThin()` |
    `List<CalendarEventDTO>` | `getLastEvents()` |
    `List<PublicationDTO>` | `getLastPublications()` |
    `List<NewsDTO>` | `getNews()` |
    `String` | `getNewsDisplayer()` |
    `List<ShortCutLinkDTO>` | `getShortCuts()` |
    `String` | `getSpaceName()` |
    `List<SilverpeasObjectDTO>` | `getSpacesAndApps()` |
    `List<ShortCutLinkDTO>` | `getTools()` |
    `void` | `setFavorites​(List<MyLinkDTO> favorites)` |
    `void` | `setHtmlFreeZone​(String htmlFreeZone)` |
    `void` | `setHtmlFreeZoneThin​(String htmlFreeZoneThin)` |
    `void` | `setLastEvents​(List<CalendarEventDTO> lastEvents)` |
    `void` | `setLastPublications​(List<PublicationDTO> lastPublications)` |
    `void` | `setNews​(List<NewsDTO> news)` |
    `void` | `setNewsDisplayer​(String newsDisplayer)` |
    `void` | `setShortCuts​(List<ShortCutLinkDTO> shortCuts)` |
    `void` | `setSpaceName​(String spaceName)` |
    `void` | `setSpacesAndApps​(List<SilverpeasObjectDTO> spacesAndApps)` |
    `void` | `setTools​(List<ShortCutLinkDTO> tools)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.BaseDTO

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NEWS_DISPLAYER_CARROUSEL

          public static final String NEWS_DISPLAYER_CARROUSEL

      See Also:
        Constant Field Values

    - #### NEWS_DISPLAYER_LIST

          public static final String NEWS_DISPLAYER_LIST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HomePageDTO

          public HomePageDTO()

  - ### Method Detail

    - #### getHtmlFreeZoneThin

          public String getHtmlFreeZoneThin()

    - #### setHtmlFreeZoneThin

          public void setHtmlFreeZoneThin​(String htmlFreeZoneThin)

    - #### getLastPublications

          public List<PublicationDTO> getLastPublications()

    - #### setLastPublications

          public void setLastPublications​(List<PublicationDTO> lastPublications)

    - #### getNews

          public List<NewsDTO> getNews()

    - #### setNews

          public void setNews​(List<NewsDTO> news)

    - #### getFavorites

          public List<MyLinkDTO> getFavorites()

    - #### setFavorites

          public void setFavorites​(List<MyLinkDTO> favorites)

    - #### getSpacesAndApps

          public List<SilverpeasObjectDTO> getSpacesAndApps()

    - #### setSpacesAndApps

          public void setSpacesAndApps​(List<SilverpeasObjectDTO> spacesAndApps)

    - #### getSpaceName

          public String getSpaceName()

    - #### setSpaceName

          public void setSpaceName​(String spaceName)

    - #### setLastEvents

          public void setLastEvents​(List<CalendarEventDTO> lastEvents)

    - #### getLastEvents

          public List<CalendarEventDTO> getLastEvents()

    - #### getShortCuts

          public List<ShortCutLinkDTO> getShortCuts()

    - #### setShortCuts

          public void setShortCuts​(List<ShortCutLinkDTO> shortCuts)

    - #### getHtmlFreeZone

          public String getHtmlFreeZone()

    - #### setHtmlFreeZone

          public void setHtmlFreeZone​(String htmlFreeZone)

    - #### getTools

          public List<ShortCutLinkDTO> getTools()

    - #### setTools

          public void setTools​(List<ShortCutLinkDTO> tools)

    - #### getNewsDisplayer

          public String getNewsDisplayer()

    - #### setNewsDisplayer

          public void setNewsDisplayer​(String newsDisplayer)